openshot::BaseException Class Reference

Base exception class with a custom message variable. More...

`#include <Exceptions.h>`

Inheritance diagram for openshot::BaseException:

## Public Member Functions

| BaseException (std::string message)
virtual const char * | what () const noexcept
virtual | ~BaseException () noexcept

## Protected Attributes

std::string | m_message

## Detailed Description

Base exception class with a custom message variable.

A custom error message field has been added to the std::exception base class. All OpenShot exception classes inherit from this class.

Definition at line 44 of file Exceptions.h.

## Constructor & Destructor Documentation

## BaseException()

openshot::BaseException::BaseException | ( | std::string | message | ) |

inline

Definition at line 49 of file Exceptions.h.

## ~BaseException()

virtual openshot::BaseException::~BaseException | ( |  | ) |

inline virtual noexcept

Definition at line 50 of file Exceptions.h.

## Member Function Documentation

## what()

virtual const char* openshot::BaseException::what | ( |  | ) | const

inline virtual noexcept

Definition at line 51 of file Exceptions.h.

## Member Data Documentation

## m_message

std::string openshot::BaseException::m_message

protected

Definition at line 47 of file Exceptions.h.

Referenced by what().

The documentation for this class was generated from the following file:

- Exceptions.h